import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
import Component from '../Component';
/**
 * The keyboard-shortcuts component toggles global keyboard shortcuts. The keyboard-shortcuts component applies only to the [`<a-scene>` element](https://aframe.io/docs/1.3.0/core/scene.html).
 * @see https://aframe.io/docs/1.3.0/components/keyboard-shortcuts.html
 */

export var KeyboardShortcuts = /*#__PURE__*/function (_Component) {
  _inheritsLoose(KeyboardShortcuts, _Component);

  function KeyboardShortcuts() {
    return _Component.apply(this, arguments) || this;
  }

  return KeyboardShortcuts;
}(Component);